Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706944 - sci-astronomy/stuff-1.26.0 : fails to build with -fno-common or gcc-10
Summary: sci-astronomy/stuff-1.26.0 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sci Astronomy Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 18:45 UTC by Toralf Förster
Modified: 2020-10-03 23:10 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.13 KB, text/plain)
2020-01-28 18:45 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,192.54 KB, text/plain)
2020-01-28 18:45 UTC, Toralf Förster
Details
environment (environment,15.36 KB, text/plain)
2020-01-28 18:45 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.68 KB, application/x-bzip)
2020-01-28 18:45 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,6.15 KB, application/x-bzip)
2020-01-28 18:45 UTC, Toralf Förster
Details
sci-astronomy:stuff-1.26.0:20200128-123719.log (sci-astronomy:stuff-1.26.0:20200128-123719.log,31.01 KB, text/plain)
2020-01-28 18:45 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,8.87 KB, application/x-bzip)
2020-01-28 18:45 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:45:18 UTC
  147 |      sprintf(gstr, #ptr " (" #nel "=%lld elements) " \
      |                     ^~~
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..     -O2 -pipe -march=native -fno-common -c stars.c
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o stuff clusters.o cosmo.o galaxies.o igm.o lf.o main.o makeit.o misc.o prefs.o random.o sed.o stars.o  -lm 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: cosmo.o:(.bss+0x10): multiple definition of `OmegaM'; clusters.o:(.bss+0x3060): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: cosmo.o:(.bss+0x8): multiple definition of `OmegaL'; clusters.o:(.bss+0x3058): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 28 Jan 2020 12:06:25 +0000

emerge -qpvO sci-astronomy/stuff
[ebuild  N    ] sci-astronomy/stuff-1.26.0  USE="-threads"
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:45:21 UTC
Created attachment 606742 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:45:24 UTC
Created attachment 606744 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:45:27 UTC
Created attachment 606746 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:45:29 UTC
Created attachment 606748 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:45:32 UTC
Created attachment 606750 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:45:36 UTC
Created attachment 606752 [details]
sci-astronomy:stuff-1.26.0:20200128-123719.log
Comment 7 Toralf Förster gentoo-dev 2020-01-28 18:45:39 UTC
Created attachment 606754 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-10-03 23:10:08 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=397297785fbdfde84c7378475b0ac143796d242e

commit 397297785fbdfde84c7378475b0ac143796d242e
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-10-03 23:09:50 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-10-03 23:09:50 +0000

    sci-astronomy/stuff: Fix -fno-common
    
    Closes: https://bugs.gentoo.org/706944
    Package-Manager: Portage-3.0.8, Repoman-3.0.1
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../stuff/files/stuff-1.26.0-fno-common.patch      | 60 ++++++++++++++++++++++
 sci-astronomy/stuff/stuff-1.26.0.ebuild            |  9 ++--
 2 files changed, 64 insertions(+), 5 deletions(-)